/* NAV */
header {
    width: 100%;
    position: relative;
    display: flex;
}

.totalBody {
    position: relative;
}

.franja {
    height: 13em;
    width: 100%;
    object-fit: cover;
}

.franjaAbsolute {
    position: absolute;
    top: 13em;
}

/*  Todo el producto */
.lineDetails {
    box-sizing: border-box;
    width: 87.21%;
    height: 3em;
    padding: 0em 1em;
    margin: 0em auto;
    border-radius: 5px 5px 0px 0px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    justify-content: center;
    align-items: center;
    background-color: #222222;
}

.lineDetails ul {
    list-style: none;
    display: flex;
    flex-direction: row;
    padding: 0%;
    margin: 0%;
}

.lineDetails ul li {
    margin-right: 1em;
}

.lineDetails ul li a {
    display: flex;
    flex-direction: row;
    margin: 0%;
    text-decoration: none;
}

.lineDetails ul li p {
    display: flex;
    text-align: center;
    align-items: center;
    margin: 0%;
    color: rgba(255, 255, 255, 0.673);
}

.lineDetails span {
    margin: 0%;
    margin-right: 0.4em;
    font-size: 2.5em;
    color: rgba(255, 255, 255, 0.673);
}

.categoria {
    text-align: center;
    margin: 0%;
    color: rgba(255, 255, 255, 0.673);
}

#shareButton {
    text-decoration: none;
}

#shareButton p {
    margin: 0%;
    text-align: end;
}

.alignall {
    width: 85%;
    display: grid;
    grid-template-columns: 70% 30%;
    margin: 0em auto;
     padding: 0em 1em;
    background-color: rgb(250, 250, 250);
    border: none;
}

/* Primera Columna */
.firstColumn {
    display: flex;
    flex-direction: column;
    border: none;

    margin-top: 1em;
}

.imagenes {
    height: 55vh;
    display: flex;
    flex-direction: row;
    margin-bottom: 2em;
}

.minfotos {
    width: 12%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.minfotos img {
    box-shadow: 0px 0px 2px 0.0001px rgba(0, 0, 0, 0.75);
    margin: 0em;
    margin-bottom: 1em;
    height: 4em;
    width: 100%;
    object-fit: cover;
}

.fotos {
    width: 100%;
    height: 100%;
    object-fit: contain;
    margin-left: 1em;
    background-color: white;
}

.otherInfo {
    width: 90%;
    margin: 0em auto;
}

.divisor {
    width: 100%;
    border: rgba(0, 0, 0, 0.057) 0.01px solid;
}

/* Más productos */
.moreProducts {
    width: 100%;
    display: flex;
    justify-content: space-around;
    margin: 2em 0em;
}

.moreProducts a{
    text-decoration: none;
}

.product {
    width: 30%;
    background-color: white;
    box-shadow: 0px 1px 3px 0.1px rgba(0, 0, 0, 0.75);
    border-radius: 10px;
    padding: 0.9em 0.9em 0.2em 0.9em;
    margin-right: 0.5em;
}

.product:hover {
    transform: scale(1.08);
    transition: 2s;
    box-shadow: 1px 1px 5px 0.06px rgba(0, 0, 0, 0.75);

}

.product img {
    object-fit: cover;
}

.productData {
    display: flex;
    flex-direction: column;
    padding: 0px 5px;
    margin-top: 0.5em;
}

.productData h4 {
    margin: 0%;
    text-align: center;
    font-size: 1em;
    margin-top: 0.5em;
    margin-bottom: 0.2em;
}

.productData h3 {
    margin: 0%;
    font-size: 1em;
    color: rgb(112, 112, 112);
    text-align: center;
    margin-bottom: 0.4em;
}

.details {
    margin-top: 0em;
    font-size: 1.2em;
    font-weight: 300;
    letter-spacing: 0.5px;
    color: rgba(0, 0, 0, 0.523);
}

/* Segunda Columna */
.secondColumn {
    margin-top: 1em;
}

.data {
    display: flex;
    flex-direction: column;
    border: rgba(0, 0, 0, 0.132) 0.01px solid;
    border-radius: 5px;
    align-items: left;
    padding: 1em 0.9em;
    margin: 0em;
}

#productName {
    text-align: left;
    margin: 0em;
    font-size: 1.5em;
    font-weight: 400;
}

.etiquetas {
    margin-top: 0.6em;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
}

.etiquetas p {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 8em;
    font-size: 12px;
    font-weight: 500;
    border-radius: 3px;
    padding: 5px 2px;
    line-height: 1;
    display: inline-block;
    text-transform: uppercase;
    word-break: break-all;
    background: rgb(1, 135, 252);
    color: white;
    border-radius: 5px;
    margin: 0px;
}

.precioContenedor {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

#price {
    color: black;
    font-weight: 300;
    font-size: 2.4em;
    margin: 0%;
}

.data p {
    display: flex;
    align-items: center;
    margin: 0.9em 0em;
}

.data p .material-icons {
    color: #00a650;
    margin-right: 7px;
}

.stock h5 {
    margin: 0.6em 0em 0.6em 0em;

}

.stockConteniner {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.stockConteniner p {
    margin: 0%;
}

.stockConteniner select {
    border: none;
    outline: none;
    height: 30px;
    width: 7em;
    font-size: 1em;
    background-color: rgb(250, 250, 250);
}

#stockDisponible {
    font-size: 0.9em;
    color: rgb(94, 94, 94);
    margin: 0%;
}

.botones {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    margin-top: 0.9em;
}

.comprar {
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 0.8em 0em;
    border-radius: 5px;
    background-color: #3483fa;
    margin-top: 0.5em;
}

.comprar:hover {
    background-color: #2d72da;
    color: white;
    text-decoration: none;
}

.comprar button {
    background: none;
    outline: none;
    border: none;
    color: white;
    font-size: 1em;
    font-weight: 400;
}

.carrito {
    background-color: rgb(0, 187, 255);
    margin-right: 1EM;
}

.carrito:hover {
    background-color: rgb(0, 160, 218);
}

.keepbuying:hover {
    background-color: rgb(0, 150, 205);
}


@media only screen and (max-width: 840px) {

    .franja {
        display: none;
    }

    .franjaAbsolute {
        position: initial;
    }

    .lineDetails {
        width: 100%;
        margin-top: 0em;
        grid-template-columns: 1fr;
    }

    .categoria{
        display: none;
    }

    #shareButton {
        display: none;
    }

    .alignall {
        display: flex;
        flex-direction: column;
    }

    .imagenes {
        flex-direction: column-reverse;
        margin-bottom: 1em;
    }

    .fotos {
        margin: 0%;
        margin-bottom: 1em;
    }

    .minfotos {
        width: 100%;
        height: 4em;
        justify-content: space-around;
        flex-direction: row;
    }

    .minfotos a{
        margin-right: 1em;
        height: 100%;
    }

    .minfotos img {
        height: 100%;
        margin: 0%;
    }

    .moreProductsTitle{
        display: none;
    }

    .moreProducts {
        display: none;
    }

    .otherInfo h2 {
        margin-top: 1em;
    }

    .alldetails {
        flex-direction: column;
        align-self: center;
    }

    .fotos {
        width: 100%;
        align-items: center;
        max-width: 22em;
    }

    .fotos ul li {
        width: auto;
        margin: 0em 0em;
    }

    .fotosimg {
        max-width: auto;
        width: 100%;
    }

    .data {
        margin: 0%;
        margin-bottom: 5em;
        justify-content: center;
        align-items: center;
    }

    .datalineone {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .etiquetas {
        display: flex;
        justify-content: flex-start;
        margin: 0%;
    }

    #price {
        margin: 0%;
    }

    .botones {
        width: 100%;
        flex-direction: column;
        justify-content: center;
        align-content: center;
        margin-top: 0em;
    }

    .comprar {
        margin: 1em 0em 0em 0em;
        width: 100%;
    }

    .keepbuying {
        margin: 0%;
        width: 90%;
    }

    h3 {
        margin: 0%;
    }


}